Subject: Re: [rtcweb] rtcweb Digest, Vol 17, Issue 4

From: kiran kumar <[email-masked]>
Date: Tue, 3 Jul 2012 09:07:09 +0530

Hi All,

So far there are many supports and opposes for the implementation of
retransmission in browser.
Since according to Justin, since browser and app developers are different,
apps have no control over retransmissions.
IMO, can we think of to make this implemented in the browser and giving App
to opt for this facility,if it requires, through peerConnection or some
other API at the time of initiation. So that, facility will be prasent and
its usage becomes application dependent.

Thanks,
Kiran.

> ---------- Forwarded message ----------
> From: Justin Uberti <[email-masked]>
> To: "Olle E. Johansson" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Date: Mon, 2 Jul 2012 13:18:13 -0700
> Subject: Re: [rtcweb] RTP Usage: Is RTP Retransmission REQUIRED or
> RECOMMENDED
> As has been pointed out in this thread before, this discussion is not
> about mandating the USE of retransmission in realtime scenarios.  It is
> simply trying to decide whether retransmission should be required to be
> present in the 'toolbox' of tools that WebRTC apps can expect to use,
> primarily where the app developer and runtime developer are separate (e.g.
> in a browser).
>
> Several people have pointed out scenarios and applications where
> retransmission (of video, not audio) works very well. Our experience
> matches this too. Typically we can locate a media gateway very close to all
> participants, meaning that a lost packet between GW and user can be
> detected and retransmitted fast enough to not be noticeable by the user.
> These applications, if they do not have access to retransmission, will be
> forced to use cruder methods of error recovery that are more noticeable to
> users, among other unpleasant effects.
>
> Given that the implementation cost of retransmission is fairly negligible
> (basically, a packet cache plus support for parsing NACK messages), and
> that is really the only reason NOT to support this functionality in the
> toolbox, I have a hard time understanding why we would not want to make
> this a MUST implement for WebRTC.
>
> Again, this is about making _support_ for retransmission a requirement,
> not _use_.
> --justin
>
>
> On Mon, Jul 2, 2012 at 12:38 AM, Olle E. Johansson <[email-masked]> wrote:
>
>>
>> 29 jun 2012 kl. 17:11 skrev Cullen Jennings:
>>
>> >
>> > Right - so on the question of it retransmission is mandatory to
>> implement for audio codec, I am on a definitely "No". The bulk of systems
>> today do not do it and work fine. Vendors can easily choose to do if they
>> want in an interoperable way with out it being MTI. Why we should add a
>> bunch of stuff in to version 1 of this that we can live without is beyond
>> me. This is how IPv6 got big and hard, by everyone taking their favorite
>> technology and attaching it to v6. I don't even want it as RECOMMENDED for
>> audio - I see it as OPTIONAL.
>> Agree. We need a base level of interoperability.
>> >
>> > I probably feel differently about video.
>> Maybe. Current video have the frame update requests. ugly, but works in
>> most cases. I see reasons for retransmission of video, but not to make it
>> recommended or required.
>>
>> /O
>>  >
>> >
>> > On Jun 28, 2012, at 23:43 , Magnus Westerlund wrote:
>> >
>> >> On 2012-06-28 16:36, Cullen Jennings wrote:
>> >>>
>> >>> I think you need to separate this for audio and video and be far more
>> >>> specific about what type of retransmit ion you are talking about. In
>> >>> many cases the retransmit ion schemes for audio make the end suer
>> >>> experience worse.
>> >>
>> >> I am not disagreeing unless the RTT is really low.
>> >>
>> >> What I am asking the WG is if RTP retransmission is a RECOMMENDED or
>> >> REQUIRED feature in the toolbox that an WebRTC end-point supports. This
>> >> says nothing on when you select to use it and on which media. If we
>> want
>> >> to include such recommendations we can do it. In fact the RTP usage
>> >> draft has a bit on text discussing the issue with RTT.
>> >>
>> >> Cheers
>> >>
>> >> Magnus
>> >> (As WG chair)
>> >>
>> >>>
>> >>> On Jun 27, 2012, at 24:36 , Magnus Westerlund wrote:
>> >>>
>> >>>> WG,
>> >>>>
>> >>>> We had a discussion at the interim if RTP Retransmission is to be
>> >>>> considered REQUIRED or RECOMMENDED to implement. I would like to
>> >>>> see if we can first have some discussion on this topic before
>> >>>> moving on to see if we can get a consensus here on the mailing
>> >>>> list.
>> >>>>
>> >>>> Please provide your views on this topic.
>> >>>>
>> >>>> Cheers
>> >>>>
>> >>>> Magnus Westerlund (As Chair and document editor)
>> >>>>
>> >>>>
>> >>>>
>> ----------------------------------------------------------------------
>> >>>>
>> >>>>
>> >> Multimedia Technologies, Ericsson Research EAB/TVM
>> >>>>
>> ----------------------------------------------------------------------
>> >>>>
>> >>>>
>> >> Ericsson AB                | Phone  +46 10 7148287
>> >>>> Färögatan 6                | Mobile +46 73 0949079 SE-164 80
>> >>>> Stockholm, Sweden| mailto: [email-masked]
>> >>>>
>> ----------------------------------------------------------------------
>> >>>>
>> >>>>
>> >>>>
>> >>>>
>> >> _______________________________________________
>> >>>> rtcweb mailing list [email-masked]
>> >>>> https://www.ietf.org/mailman/listinfo/rtcweb
>> >>>
>> >>>
>> >>
>> >>
>> >> --
>> >>
>> >> Magnus Westerlund
>> >>
>> >> ----------------------------------------------------------------------
>> >> Multimedia Technologies, Ericsson Research EAB/TVM
>> >> ----------------------------------------------------------------------
>> >> Ericsson AB                | Phone  +46 10 7148287
>> >> Färögatan 6                | Mobile +46 73 0949079
>> >> SE-164 80 Stockholm, Sweden| mailto: [email-masked]
>> >> ----------------------------------------------------------------------
>> >>
>> >>
>> >>
>> >
>> > _______________________________________________
>> > rtcweb mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/rtcweb
>>
>> ---
>> * Olle E Johansson - [email-masked]
>> * Cell phone +46 70 593 68 51, Office +46 8 96 40 20, Sweden
>>
>>
>>
>> _______________________________________________
>> rtcweb mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtcweb
>>
>
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>
>